## RygelAudioItem

RygelAudioItem — Represents an audio item.

## Functions

#define | RYGEL_TYPE_AUDIO_ITEM
RygelAudioItem * | rygel_audio_item_new ()
glong | rygel_audio_item_get_duration ()
void | rygel_audio_item_set_duration ()
gint | rygel_audio_item_get_bitrate ()
void | rygel_audio_item_set_bitrate ()
gint | rygel_audio_item_get_sample_freq ()
void | rygel_audio_item_set_sample_freq ()
gint | rygel_audio_item_get_bits_per_sample ()
void | rygel_audio_item_set_bits_per_sample ()
gint | rygel_audio_item_get_channels ()
void | rygel_audio_item_set_channels ()

## Properties

gint | bitrate | Read / Write
gint | bits-per-sample | Read / Write
gint | channels | Read / Write
glong | duration | Read / Write
gint | sample-freq | Read / Write

## Types and Values

#define | RYGEL_AUDIO_ITEM_UPNP_CLASS
struct | RygelAudioItem
struct | RygelAudioItemClass

## Object Hierarchy

        GObject
        ╰── RygelMediaObject
            ╰── RygelMediaItem
                ╰── RygelAudioItem
                    ├── RygelMusicItem
                    ╰── RygelVideoItem

## Description

## Functions

### RYGEL_TYPE_AUDIO_ITEM

    #define RYGEL_TYPE_AUDIO_ITEM (rygel_audio_item_get_type ())

The type for RygelAudioItem.

### rygel_audio_item_new ()

    RygelAudioItem *
    rygel_audio_item_new (const gchar *id,
                          RygelMediaContainer *parent,
                          const gchar *title,
                          const gchar *upnp_class);

#### Parameters

id |  |
parent |  |
title |  |
upnp_class |  |

### rygel_audio_item_get_duration ()

    glong
    rygel_audio_item_get_duration (RygelAudioItem *self);

Get and return the current value of the "duration" property.

#### Parameters

self | the RygelAudioItem instance to query |

#### Returns

the value of the "duration" property

### rygel_audio_item_set_duration ()

    void
    rygel_audio_item_set_duration (RygelAudioItem *self,
                                   glong value);

Set the value of the "duration" property to `value` .

#### Parameters

self | the RygelAudioItem instance to modify |
value | the new value of the "duration" property |

### rygel_audio_item_get_bitrate ()

    gint
    rygel_audio_item_get_bitrate (RygelAudioItem *self);

Get and return the current value of the "bitrate" property.

#### Parameters

self | the RygelAudioItem instance to query |

#### Returns

the value of the "bitrate" property

### rygel_audio_item_set_bitrate ()

    void
    rygel_audio_item_set_bitrate (RygelAudioItem *self,
                                  gint value);

Set the value of the "bitrate" property to `value` .

#### Parameters

self | the RygelAudioItem instance to modify |
value | the new value of the "bitrate" property |

### rygel_audio_item_get_sample_freq ()

    gint
    rygel_audio_item_get_sample_freq (RygelAudioItem *self);

Get and return the current value of the "sample-freq" property.

#### Parameters

self | the RygelAudioItem instance to query |

#### Returns

the value of the "sample-freq" property

### rygel_audio_item_set_sample_freq ()

    void
    rygel_audio_item_set_sample_freq (RygelAudioItem *self,
                                      gint value);

Set the value of the "sample-freq" property to `value` .

#### Parameters

self | the RygelAudioItem instance to modify |
value | the new value of the "sample-freq" property |

### rygel_audio_item_get_bits_per_sample ()

    gint
    rygel_audio_item_get_bits_per_sample (RygelAudioItem *self);

Get and return the current value of the "bits-per-sample" property.

#### Parameters

self | the RygelAudioItem instance to query |

#### Returns

the value of the "bits-per-sample" property

### rygel_audio_item_set_bits_per_sample ()

    void
    rygel_audio_item_set_bits_per_sample (RygelAudioItem *self,
                                          gint value);

Set the value of the "bits-per-sample" property to `value` .

#### Parameters

self | the RygelAudioItem instance to modify |
value | the new value of the "bits-per-sample" property |

### rygel_audio_item_get_channels ()

    gint
    rygel_audio_item_get_channels (RygelAudioItem *self);

Get and return the current value of the "channels" property.

#### Parameters

self | the RygelAudioItem instance to query |

#### Returns

the value of the "channels" property

### rygel_audio_item_set_channels ()

    void
    rygel_audio_item_set_channels (RygelAudioItem *self,
                                   gint value);

Set the value of the "channels" property to `value` .

#### Parameters

self | the RygelAudioItem instance to modify |
value | the new value of the "channels" property |

## Types and Values

### RYGEL_AUDIO_ITEM_UPNP_CLASS

    #define RYGEL_AUDIO_ITEM_UPNP_CLASS "object.item.audioItem"

### struct RygelAudioItem

    struct RygelAudioItem;

Represents an audio item.

### struct RygelAudioItemClass

    struct RygelAudioItemClass {
    	RygelMediaItemClass parent_class;
    };

The class structure for `RYGEL_TYPE_AUDIO_ITEM`. All the fields in this structure are private and should never be accessed directly.

#### Members

RygelMediaItemClass `parent_class`; | the parent class structure |

## Property Details

### The `“bitrate”` property

      “bitrate”                  gint

bitrate.

Flags: Read / Write

Default value: -1

### The `“bits-per-sample”` property

      “bits-per-sample”          gint

bits-per-sample.

Flags: Read / Write

Default value: -1

### The `“channels”` property

      “channels”                 gint

channels.

Flags: Read / Write

Default value: -1

### The `“duration”` property

      “duration”                 glong

duration.

Flags: Read / Write

Default value: -1

### The `“sample-freq”` property

      “sample-freq”              gint

sample-freq.

Flags: Read / Write

Default value: -1